Get the VAT report of a period
curl --request GET \
--url https://api.breezing.io/v1/vat-reportimport requests
url = "https://api.breezing.io/v1/vat-report"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/vat-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/vat-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/vat-report"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/vat-report")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/vat-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"period": {
"dateFrom": "<string>",
"dateTo": "<string>"
},
"currency": "<string>",
"sales": {
"rates": [
{
"rateKey": "<string>",
"name": "<string>",
"rate": "<string>",
"vatAccount": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123,
"bySource": {
"transaction": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"invoice": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"journal": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
]
}
],
"totals": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"purchases": {
"rates": [
{
"rateKey": "<string>",
"name": "<string>",
"rate": "<string>",
"vatAccount": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123,
"bySource": {
"transaction": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"invoice": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"journal": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
]
}
],
"totals": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"netVat": "<string>",
"notSplit": [
{
"side": "sales",
"rateKey": "<string>",
"rateLabel": "<string>",
"reason": "unknownRate",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
],
"counts": {
"transactions": 123,
"invoices": 123,
"journalLines": 123
},
"invoicesInBooks": true,
"invoicesOutOfBooks": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}VAT Report
Get VAT Report API
Retrieve the Breezing VAT report for a period, with output and input VAT per tax rate from transactions, invoices, and journals.
GET
/
vat-report
Get the VAT report of a period
curl --request GET \
--url https://api.breezing.io/v1/vat-reportimport requests
url = "https://api.breezing.io/v1/vat-report"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.breezing.io/v1/vat-report', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/vat-report",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/vat-report"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.breezing.io/v1/vat-report")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/vat-report")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"period": {
"dateFrom": "<string>",
"dateTo": "<string>"
},
"currency": "<string>",
"sales": {
"rates": [
{
"rateKey": "<string>",
"name": "<string>",
"rate": "<string>",
"vatAccount": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123,
"bySource": {
"transaction": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"invoice": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"journal": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
]
}
],
"totals": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"purchases": {
"rates": [
{
"rateKey": "<string>",
"name": "<string>",
"rate": "<string>",
"vatAccount": "<string>",
"xeroTaxType": "<string>",
"qboTaxCode": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123,
"bySource": {
"transaction": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"invoice": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
},
"journal": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"accounts": [
{
"code": "<string>",
"name": "<string>",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
]
}
],
"totals": {
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
},
"netVat": "<string>",
"notSplit": [
{
"side": "sales",
"rateKey": "<string>",
"rateLabel": "<string>",
"reason": "unknownRate",
"net": "<string>",
"vat": "<string>",
"gross": "<string>",
"count": 123
}
],
"counts": {
"transactions": 123,
"invoices": 123,
"journalLines": 123
},
"invoicesInBooks": true,
"invoicesOutOfBooks": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Last modified on November 13, 2026